PETSc version 3.15.5
Fix/Edit manual page

# DMAdaptorGetSolver

Gets the solver used to produce discrete solutions

### Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorGetSolver(DMAdaptor adaptor, SNES *snes)

Not collective

### Input Parameter

| adaptor | - The DMAdaptor object

### Output Parameter

| snes | - The solver

### See Also

DMAdaptorSetSolver(), DMAdaptorCreate(), DMAdaptorAdapt()

### Level

intermediate

### Location

src/snes/utils/dmadapt.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages